%define upstream_name	 Linux-CDROM
%define upstream_version 0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	An interface to Linux CDROM device
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
common recipes featuring your CDROM drive as its main ingredient

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%{__make} test

%install
%makeinstall_std
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc README META.yml
%{perl_vendorlib}/*/Linux/CDROM*
%{perl_vendorlib}/*/*/Linux/CDROM/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-13.mga6
+ Revision: 1029161
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-12.mga6
+ Revision: 957619
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.20.0-11.mga6
+ Revision: 842711
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-10.mga5
+ Revision: 743366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-9.mga5
+ Revision: 685223
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-8.mga5
+ Revision: 631370
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-7.mga4
+ Revision: 524406
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-6.mga4
+ Revision: 430773
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-5.mga3
+ Revision: 369083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-4.mga3
+ Revision: 250853
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.20.0-3.mga2
+ Revision: 104737
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 30703
- mageia rebuild
- imported package perl-Linux-CDROM


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-2mdv2011.0
+ Revision: 555996
- rebuild for perl 5.12

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 474665
- using %%perl_convert_version
- update to 0.02

* Mon Dec 07 2009 Bruno Cornec <bcornec@mandriva.org> 0.02-1mdv2010.1
+ Revision: 474571
- Add Linux:CDROM perl module
- create perl-Linux-CDROM

